commit 3961deb68a53a8532749760b9291764eb834db62
Author: Florent Chuffart <florent.chuffart@ens-lyon.fr>
Date:   Sat Sep 19 12:02:51 2015 +0200

    Updating documentation

diff --git a/README b/README
index 3725908..831fdda 100644
--- a/README
+++ b/README
@@ -101,7 +101,7 @@ Installation
 ------------
 
 The first installation step is to retrieve the source code of
-MyLabStocks. You can do this by typing the following command in a
+NucleoMiner2. You can do this by typing the following command in a
 terminal.
 
    git clone http://forge.cbp.ens-lyon.fr/git/nucleominer
@@ -135,6 +135,16 @@ system:
 
    * DESeq
 
+These packages can be installed by typing the following command in an
+R console:
+
+   install.packages(c("fork", "rjson", "seqinr", "plotrix"))
+   source("http://bioconductor.org/biocLite.R")
+   biocLite("DESeq")
+
+Finally,by typing the git command above, you downloaded specific R
+packages provided with NucleoMiner2 that you now need to install:
+
    * cachecache https://forge.cbp.ens-
      lyon.fr/redmine/projects/cachecache
 
@@ -143,15 +153,7 @@ system:
    * nucleominer https://forge.cbp.ens-
      lyon.fr/redmine/projects/nucleominer
 
-The first packages could be installed by typing the following command
-in an R console:
-
-   install.packages(c("fork", "rjson", "seqinr", "plotrix"))
-   source("http://bioconductor.org/biocLite.R")
-   biocLite("DESeq")
-
-The last packages are available in the git repository they could be
-install by typing the following command in your terminal:
+To do so, type the following command in your terminal:
 
    cd nucleominer
    R CMD INSTALL doc/Chuffart_NM2_workdir/deps/bot_0.14.tar.gz\
@@ -161,15 +163,16 @@ install by typing the following command in your terminal:
 Tutorial
 ********
 
-This tutorial describes steps allowing performing quantitative
+This tutorial describes steps allowing to perform quantitative
 analysis of epigenetic marks on individual nucleosomes. We assume that
 files are organised according to a given hierarchy and that all
 command lines are launched from the project’s root directory.
 
 This tutorial is divided into two main parts. The first part covers
 the python script *wf.py* that aligns and converts short sequence
-reads. The second part covers the R scripts that extracts information
-(nucleosome position and indicators) from the dataset.
+reads. The second part covers the R scripts that extracts nucleosome-
+level information (nucleosome position and indicators) from the
+dataset.
 
 
 Experimental Dataset, Working Directory and Configuration File
@@ -179,7 +182,7 @@ Experimental Dataset, Working Directory and Configuration File
 Working Directory Organisation
 ------------------------------
 
-After having install NucleoMiner2 environment (Previous section), go
+After having installed NucleoMiner2 environment (Previous section), go
 to the root working directory of the tutorial by typing the following
 command in a terminal:
 
@@ -196,9 +199,10 @@ E-MTAB-2671.
 $$$ TODO explain how organise Experimental Dataset into the *data*
 directory of the working directory.
 
-We want to compare nucleosomes of 2 yeast strains: BY and RM. For each
-strain we performed Mnase-Seq and ChIP-Seq using an antibody
-recognizing the H3K14ac epigenetic mark.
+In this tutorial, we want to compare nucleosomes of 2 yeast strains:
+BY and RM. For each strain Mnase-Seq was performed as well as ChIP-Seq
+using an antibody recognizing the H3K14ac epigenetic mark. Illumina
+sequencing was done in single-read of 50 bp long.
 
 The dataset is composed of 55 files organised as follows:
 
@@ -236,14 +240,17 @@ The dataset is composed of 55 files organised as follows:
 Python and R Common Configuration File
 --------------------------------------
 
-First of all we define in one place some configuration variables that
-will be launched by python and R scripts. These variables are
-contained in file *configurator.py*. The execution of this python
-script dumps variables into the *nucleominer_config.json* file that
-will then be used by both R and python scripts.
+First, we need to define useful configuration variables that will be
+passed to python and R scripts. These variables are contained in file
+*configurator.py*. The execution of this python script dumps variables
+into the *nucleominer_config.json* file that will then be used by both
+R and python scripts.
 
-To do this, go to the root directory of your project and run the
-following command:
+The initialization of this variables is done in the configurator.py
+file. If you need to adapt variable values (path, default
+parameters...) you need to edit this file. Then, go to the root
+directory of your project and run the following command to dump the
+configuration file:
 
    python src/current/configurator.py
 
@@ -251,10 +258,17 @@ following command:
 Preprocessing Illumina Fastq Reads for Each Sample
 ==================================================
 
-This preprocessing step consists of 4 main steps embedded in the
-*wf.py* script. They are described bellow. As a preamble, this script
-computes *samples*, *samples_mnase* and *strains* that will be used
-along the 4 steps.
+Once variables and design have been specified, the script wf.py will
+automatically run all the analysis. You don't need to do anything. To
+run the full analysis, run the following command:
+
+   python src/current/wf.py
+
+The details of the steps performed by this script are explained below.
+This preprocessing consists of 4 steps embedded in the *wf.py* script.
+They are described bellow.  As a preamble, this script computes
+*samples*, *samples_mnase* and *strains* that will be used along the 4
+steps.
 
 wf.samples = []
 
@@ -273,18 +287,19 @@ wf.strains = []
 Creating Bowtie Index from each Reference Genome
 ------------------------------------------------
 
-For each strain, we need to create bowtie index. Bowtie index of a
-strain is a tree view of the genome of this strain. It will be used by
-bowtie to align reads. This step is performed by the following part of
-the *wf.py* script:
+For each strain, the script *wf.py* then creates bowtie index. Bowtie
+index of a strain is a tree view of the genome of this strain. It will
+be used by bowtie to align reads. The part of the script performing
+this is the following:
 
      for strain in strains:
        per_strain_stats[strain] = create_bowtie_index(strain, 
          config["FASTA_REFERENCE_GENOME_FILES"][strain], config["INDEX_DIR"], 
          config["BOWTIE_BUILD_BIN"])
 
-The following table summarizes the file sizes and process durations
-concerning this step.
+As an indication, the following table summarizes the file sizes and
+process durations that we experienced when running this step on a
+Linux server***.
 
 +--------+------------------------+------------------------+------------------+
 | strain | fasta genome file size | bowtie index file size | process duration |
@@ -298,11 +313,11 @@ concerning this step.
 Aligning Reads to Reference Genome
 ----------------------------------
 
-Next, we launch bowtie to align reads to the reference genome. It
-produces a *.sam* file that we convert into a *.bed* file. Binaries
-for *bowtie*, *samtools* and *bedtools* are wrapped using python
-*subprocess* class. This step is performed by the following part of
-the *wf.py* script:
+Next, the *wf.py* script launches bowtie to align reads to the
+reference genome. It produces a *.sam* file that is converted into a
+*.bed* file. Binaries for *bowtie*, *samtools* and *bedtools* are
+wrapped using python *subprocess* class. This step is performed by the
+following part of the script:
 
      for sample in samples:
        per_sample_align_stats["sample_%s" % sample["id"]] = align_reads(sample, 
@@ -315,8 +330,8 @@ Convert Aligned Reads into TemplateFilter Format
 ------------------------------------------------
 
 TemplateFilter uses particular input formats for reads, so it is
-necessary to convert the *.bed* files. TemplateFilter expect reads as
-follows: *chr*, *coord*, *strand* and *#read* where:
+necessary to convert the *.bed* files. TemplateFilter expect reads in
+the following format: *chr*, *coord*, *strand* and *#read* where:
 
 * *chr* is the number of the chromosome;
 
@@ -330,8 +345,8 @@ Each entry is *tab*-separated.
 
 **WARNING** for reverse strands, bowtie returns the position of the
 first nucleotide on the left hand side, whereas TemplateFilter expects
-the first one on the right hand side.  This step takes this into
-account by adding the read length (in our case 50) to the reverse
+the first one on the right hand side.  This is taken into account in
+NucleoMiner2 by adding the read length (in our case 50) to the reverse
 reads coordinates.
 
 This step is performed by the following part of the *wf.py* script:
@@ -341,9 +356,10 @@ This step is performed by the following part of the *wf.py* script:
          config["ALIGN_DIR"], config["FASTA_INDEXES"], config["AREA_BLACK_LIST"], 
          config["READ_LENGTH"],config["MAPQ_THRES"])
 
-The following table summarises the number of reads, the involved file
-sizes and process durations concerning the two last steps. In our
-case, alignment process have been multithreaded over 3 cores.
+The following table summarizes the number of reads, the involved file
+sizes and process durations that we experienced when running the two
+last steps. In our case, alignment process were multithreaded over 3
+cores.
 
 +----+----------------+---------------------------+--------+------------------+--------------------+------------------+
 | id | Illumina reads | aligned and filtred reads | ratio  | *.bed* file size | TF input file size | process duration |
@@ -378,10 +394,10 @@ Run TemplateFilter on Mnase Samples
 Finally, for each sample we perform TemplateFilter analysis.
 
 **WARNING** TemplateFilter returns a list of nucleosomes. Each
-nucleosome is define by its center and its width. An odd width leads
+nucleosome is defined by its center and its width. An odd width leads
 us to consider non- integer lower and upper bound.
 
-**WARNING** TemplateFilter is not designed to deal with replicates. So
+**WARNING** TemplateFilter was not designed to handle replicates. So
 we recommend to keep a maximum of nucleosomes and filter the aberrant
 ones afterwards using the benefits of having replicates. To do this,
 we set a low correlation threshold parameter (0.5) and a particularly
@@ -416,9 +432,9 @@ Inferring Nucleosome Position and Extracting Read Counts
 ========================================================
 
 The second part of the tutorial uses R
-(http://http://www.r-project.org). It consists of a set of R scripts
-that will be sourced in an R from a console launched at the root of
-your project. These scripts are:
+(http://http://www.r-project.org). NucleoMiner2 contains a set of R
+scripts that will be sourced in R from a console launched at the root
+of your project. These scripts are:
 
    * headers.R
 
@@ -438,34 +454,35 @@ your project. These scripts are:
 The Script headers.R
 --------------------
 
-The script headers.R is included in each other scripts. It is in
+The script headers.R is included in all other R scripts. It is in
 charge of:
 
    * launching libraries used in the scripts
 
    * launching configuration (design, strain, marker...)
 
-   * computing and caching CURs (caching means storing the
-     information in the computer's memory)
+   * computing and caching Common Uinterrupted Regions (CURs).
+     Caching means storing the information in the computer's memory.
 
 Note that you can customize the function “translate”. This function
 allows you to use the alignments between genomes when performing
-various tasks. You may be using NucleoMiner2 to analyse data of a
-single strain, or of several strains.
+various tasks.
 
-   * All the data corresponds to the same strain (e.g.
-     treatment/control, or only few mutations): Then in step 1), the
-     regions to use are entire chromosomes. Instep 2) simply use the
+   * You may want to analyze data of a single strain (e.g.
+     treatment/control, or only few mutations). In this case, the
+     genome is identical across all samples and you do not need to
+     define particular CURs (CURs are chromosomes). Simply use the
      default translate function which is neutral.
 
-   * The data come from two or more strains: In this case, edit a
-     list of regions and customize the translate function which
-     performs the correspondence between the different genomes. How we
-     did it: a .c2c file is obtained with NucleoMiner 1.0 (refer to
-     the Appendice "Generate .c2c Files"), then use it to produce the
-     list of regions and customise “translate”.
+   * If you are analyzing data from two or more strains (as
+     NucleoMiner2 was designed for), then you need to translate
+     coordinates of one genome into the coordinates of another one.
+     You must do this by aligning the two genomes, which will produce
+     a .c2c file (see Appendice "Generate .c2c Files").  thenuse it to
+     produce the list of regions and customise “translate”.
 
-In your R console, run the following command line:
+In our tutorial, we are in the second case and to perform all these
+steps run the following command line in your R console:
 
    source("src/current/headers.R")
 
@@ -474,13 +491,15 @@ The Script extract_maps.R
 -------------------------
 
 This script is in charge of extracting Maps for well-positioned and
-fuzzy nucleosomes. First of all, this script computes intra and inter-
-strain nucleosome maps for each CUR. This step is executed in parallel
-on many cores using the BoT library. Next, it collects results and
-produces well-positioned, fuzzy and UNR maps.
-
-The well-positioned map for BY is collected in the result directory
-and is called *BY_wp.tab*. It is composed of following columns:
+sensitive nucleosomes. First of all, this script computes intra and
+inter-strain matches of nucleosome maps for each CUR. This step can be
+executed in parallel on many cores using the BoT library. Next, it
+collects results and produces maps of  well-positioned nucleosomes,
+sensitive nucleosomes and Unaligned Nucleosomal Regions .
+
+The map of well-positioned nucleosomes for BY is collected in the
+result directory and is called *BY_wp.tab*. It is composed of
+following columns:
 
    * chr, the number of the chromosome
 
@@ -512,12 +531,12 @@ and is called *BY_wp.tab*. It is composed of following columns:
      nucleosomes.
 
    * wp_pval, for a well-positioned nucleosome, it is the p-value
-     chi square test obtained with the LLR2 (*1-pchisq(2.LLR2, df=4)*)
+     chi square test obtained from LLR2 (*1-pchisq(2.LLR2, df=4)*)
 
    * dyad_shift, for a well-positioned nucleosome, it is the shift
      between the two extreme TemplateFilter nucleosome dyad positions.
 
-The fuzzy map for BY is collected in the result directory and is
+The sensitive map for BY is collected in the result directory and is
 called *BY_fuzzy.tab*. It is composed of following columns:
 
    * chr, the number of the chromosome
@@ -545,6 +564,7 @@ and RM strains is collected in the result directory and is called
      (*1-pchisq(2.LLR3, df=2)*)
 
    * diff, the dyads shift between the positions in the two strains
+     (in bp)
 
 The common UNR map for BY and RM strains is collected in the result
 directory and is called *BY_RM_common_unr.tab*. It is composed of the
@@ -565,10 +585,10 @@ The Script translate_common_wp.R
 --------------------------------
 
 This script is used to translate common well-positioned nucleosome
-maps from a strain to another strain and stores it into a table.
+positions from a strain to another strain and stores it into a table.
 
 For example, the file *results/2014-04/RM_wp_tr_2_BY.tab* contains RM
-well-positioned nucleosome translated into the BY genome coordinates.
+well-positioned nucleosomes translated into the BY genome coordinates.
 It is composed of following columns:
 
    * strain_ref, the reference genome (in which positioned are
@@ -595,7 +615,7 @@ To execute this script, run the following command in your R console:
 The Script split_samples.R
 --------------------------
 
-For memory space usage reasons, we split and compress TemplateFilter
+To optimize memory space usage, we split and compress TemplateFilter
 input files according to their corresponding  chromosome. for example,
 *sample_1_TF.tab* will be split into :
 
@@ -701,10 +721,10 @@ the form:
 
 sample_id are given in file samples.csv
 
-If you don't know which column to use, we recommend using wpunr.
+If you don't know which column to use for normalization, we recommend
+using wpunr.
 
-If you want the very detailed factors produced by DESeq, here are the
-information:
+Here are the details of the factors produced:
 
    * unr: factor computed from data of UNR regions. These regions
      are defined for every pairs of aligned genomes (e.g. BY_RM)
@@ -791,17 +811,16 @@ The 5 last columns concern DESeq analysis:
      strain effect and the snep effect. These are the coefficients of
      the fitted generalized linear model.
 
-   * pvalsGLM, the pvalue resulting of the comparison of the GLM
-     model considering or not the interaction term marker:strain. This
-     is the statsitcial significance of the interaction term and
-     therefore the statistical significance of the SNEP.
+   * pvalsGLM, the pvalue resulting from the comparison of the GLM
+     model considering the interaction term *marker:strain* to the GLM
+     model that does not consider it. This is the statsitcial
+     significance of the interaction term and therefore the
+     statistical significance of the SNEP.
 
    * snep_index, a boolean set to TRUE if the pvalueGLM value is
      under the threshold computed with FDR function with a rate set to
      0.0001.
 
-To execute this script, run the following command
-
 To execute this script, run the following command in your R console:
 
    source("src/current/launch_deseq.R")
@@ -826,27 +845,25 @@ Here are the number of computed SNEPs for each forms.
 APPENDICE: Generate .c2c Files
 ==============================
 
-The *.c2c* files is a simple table that describes how the genome
-sequence can be aligned. We generate it using some NucleoMiner 1.0
-scripts.
+The *.c2c* files is a simple table that describes how two genome
+sequences are aligned. This file can be generated by using scripts
+that were developed in NucleoMiner 1.0 (Nagarajan et al. PLoS Genetics
+2010) and which we provide in this release of NucleoMiner2.
 
-To use NucleoMiner 1.0 scripts on your UNIX/LINUX computer you need
-first to install MUMmer which is a system for rapidly aligning entire
-genomes, whether in complete or draft form.
+To use these scripts on your UNIX/LINUX computer you need first to
+install MUMmer which is designed to rapidly align entire genomes,
+whether in complete or draft form.
 
 
-Installing the MUMmer library
------------------------------
+Installing MUMmer
+-----------------
 
 Get the last version of MUMmer archive on your computer
-(MUMmer3.23.tar.gz distributed in the directory deps of your working
+(MUMmer3.23.tar.gz is provided in the directory deps of your working
 directory). Copy it in a dedicated directory. Install it locally into
 the src folder of you working directory by typing (working directory):
 
-tar -xvzf gdl-1.0.tar.gz
-
-This creates a directory called gdl-1.0. You now need to go into this
-directory and compile the library, by typing:
+tar -xvzf MUMmer3.23.tar.gz
 
    cd src
    tar xfvz ../deps/MUMmer3.23.tar.gz
@@ -858,16 +875,16 @@ directory and compile the library, by typing:
 Installing NucleoMiner 1.0 scripts
 ----------------------------------
 
-Get the nucleominer-1.0.tar.gz archive on your computer (distributed
-in the directory deps of your working directory). Install it locally
-into the src folder of you working directory by typing (working
-directory):
+Get the nucleominer-1.0.tar.gz archive on your computer (this archive
+is provided in the directory deps of your working directory). Install
+it locally into the src folder of you working directory by typing
+(working directory):
 
    cd src
    tar xfvz ../deps/nucleominer-1.0.tar.gz
    cd ..
 
-This creates a directory called that contains  NucleoMiner 1.0 scripts
+This creates a directory that contains  NucleoMiner 1.0 scripts
 (src/nucleominer-1.0/scripts).
 
 
diff --git a/build/nucleominer_2.3.52.tar.gz b/build/nucleominer_2.3.52.tar.gz
new file mode 100644
index 0000000..a147f5d
Binary files /dev/null and b/build/nucleominer_2.3.52.tar.gz differ
diff --git a/doc/Chuffart_NM2_sweave/Chuffart_NM2_sweave.Rnw b/doc/Chuffart_NM2_sweave/Chuffart_NM2_sweave.Rnw
index 291948f..bf51a14 100644
--- a/doc/Chuffart_NM2_sweave/Chuffart_NM2_sweave.Rnw
+++ b/doc/Chuffart_NM2_sweave/Chuffart_NM2_sweave.Rnw
@@ -1101,8 +1101,22 @@ print("and overlaping more than 60% a nm fuzzy?")
 print(nrow(by_not_1n[by_not_1n$ratio>0.6,])) 
 print("and overlaping 100% a nm fuzzy?")
 print(nrow(by_not_1n[by_not_1n$ratio==1,]))
-@
 
+print("nb wp nm2 nuc aligned with dp nuc?")
+tmp_nuc_by = by_only_wp[!is.na(by_only_wp$start) ,]
+print(length(tmp_nuc_by$diff))
+print("...with diff = 0?")
+print(sum(tmp_nuc_by$diff==0))
+print("...with diff < 1?")
+print(sum(tmp_nuc_by$diff<1))
+print("...with diff <= 1bp?")
+print(sum(tmp_nuc_by$diff<=1))
+print("...with diff <= 5bp?")
+print(sum(tmp_nuc_by$diff<=5))
+print("...with diff <= 30?")
+print(sum(tmp_nuc_by$diff<=30))
+
+@
 
 \subsection{RM map}
 
@@ -1131,7 +1145,6 @@ print(nrow(rm_not_1n[rm_not_1n$ratio==1,]))
 
 \subsection{NM2.0 vs Danpos2, fuzziness}
 <<echo=FALSE, results=hide, fig=TRUE, height=6, width=10, eval=TRUE >>= 
-
 # BY
 nuc_by = by_1n[by_1n$wp==1 & !is.na(by_1n$start) ,]
 nuc_by$key = paste(nuc_by$chr, nuc_by$lower_bound, nuc_by$upper_bound, nuc_by$cur_index, sep="_")
@@ -1141,10 +1154,10 @@ by_wp_nm$key = paste(by_wp_nm$chr, by_wp_nm$lower_bound, by_wp_nm$upper_bound, b
 idx = match(nuc_by$key,by_wp_nm$key)
 
 nuc_by$wp_pval = by_wp_nm$wp_pval[idx]
+nuc_by = nuc_by[nuc_by$wp_pval !=0,]
 dx_by <- density(nuc_by$diff)
 
 # RM
-
 nuc_rm = rm_1n[rm_1n$wp==1 & !is.na(rm_1n$start) ,]
 nuc_rm$key = paste(nuc_rm$chr, nuc_rm$lower_bound, nuc_rm$upper_bound, nuc_rm$cur_index, sep="_")
 
@@ -1153,8 +1166,13 @@ rm_wp_nm$key = paste(rm_wp_nm$chr, rm_wp_nm$lower_bound, rm_wp_nm$upper_bound, r
 idx = match(nuc_rm$key,rm_wp_nm$key)
 
 nuc_rm$wp_pval = rm_wp_nm$wp_pval[idx]
+nuc_rm = nuc_rm[nuc_rm$wp_pval !=0,]
 dx_rm <- density(nuc_rm$diff)
 
+
+library(MASS)
+Lab.palette <- colorRampPalette(c("white", "orange", "red"), space = "Lab")
+
 m = cbind(
 rbind(matrix(rep(1,4),2),matrix(rep(4,4),2)),
 rbind(matrix(rep(2,2),2),matrix(rep(5,2),2)),
@@ -1162,19 +1180,43 @@ rbind(matrix(rep(3,4),2),matrix(rep(6,4),2))
 )
 layout(m, respect=TRUE)
 
-smoothScatter(nuc_by$fuzziness_score, -log10(nuc_by$wp_pval), col=adjustcolor(1, alpha.f=1), pch=".", ylab="BY NM2.0 -log10(wp_pval)", xlab="Danpos2 fuzziness score")
+
+x = nuc_by$fuzziness_score
+y = -log10(nuc_by$wp_pval)
+smoothScatter(x, y, col=adjustcolor(1, alpha.f=1), pch=".", ylab="BY NM2.0 -log10(wp_pval)", xlab="Danpos2 fuzziness score", nrpoints=0, colramp = Lab.palette)
+k = kde2d(x,y, n=50)
+contour(k, drawlabels=FALSE, nlevels=10, add=TRUE, zlim=c(0,max(k$z)/4), col=adjustcolor(1, alpha.f=0.3))
+
 plot(dx_by$y, dx_by$x, ylim=range(nuc_by$diff), xlim=rev(range(dx_by$y)), type='l', ylab="diff NM2.0 Danpos2", xlab="density", xaxt="n")
-smoothScatter(nuc_by$fuzziness_score, nuc_by$diff, col=adjustcolor(1, alpha.f=1), pch=".", ylim=range(nuc_by$diff), ylab="diff NM2.0 Danpos2", xlab="Danpos2 fuzziness score")
 
-smoothScatter(nuc_rm$fuzziness_score, -log10(nuc_rm$wp_pval), col=adjustcolor(1, alpha.f=1), pch=".", ylab="RM NM2.0 -log10(wp_pval)", xlab="Danpos2 fuzziness score")
+x = nuc_by$fuzziness_score
+y = nuc_by$diff
+smoothScatter(x, y, col=adjustcolor(1, alpha.f=1), pch=".", ylim=range(nuc_by$diff), ylab="diff NM2.0 Danpos2", xlab="Danpos2 fuzziness score", nrpoints=0, colramp = Lab.palette)
+k = kde2d(x,y, n=50)
+contour(k, drawlabels=FALSE, nlevels=10, add=TRUE, zlim=c(0,max(k$z)/4), col=adjustcolor(1, alpha.f=0.3))
+
+x = nuc_rm$fuzziness_score
+y = -log10(nuc_rm$wp_pval)
+smoothScatter(x, y, col=adjustcolor(1, alpha.f=1), pch=".", ylab="RM NM2.0 -log10(wp_pval)", xlab="Danpos2 fuzziness score", nrpoints=0, colramp = Lab.palette)
+k = kde2d(x,y, n=50)
+contour(k, drawlabels=FALSE, nlevels=10, add=TRUE, zlim=c(0,max(k$z)/4), col=adjustcolor(1, alpha.f=0.3))
+
 plot(dx_rm$y, dx_rm$x, ylim=range(nuc_rm$diff), xlim=rev(range(dx_rm$y)), type='l', ylab="diff NM2.0 Danpos2", xlab="density", xaxt="n")
-smoothScatter(nuc_rm$fuzziness_score, nuc_rm$diff, col=adjustcolor(1, alpha.f=1), pch=".", ylim=range(nuc_rm$diff), ylab="diff NM2.0 Danpos2", xlab="Danpos2 fuzziness score")
+
+x = nuc_rm$fuzziness_score
+y = nuc_rm$diff
+smoothScatter(x, y, col=adjustcolor(1, alpha.f=1), pch=".", ylim=range(nuc_rm$diff), ylab="diff NM2.0 Danpos2", xlab="Danpos2 fuzziness score", nrpoints=0, colramp = Lab.palette)
+k = kde2d(x,y, n=50)
+contour(k, drawlabels=FALSE, nlevels=10, add=TRUE, zlim=c(0,max(k$z)/4), col=adjustcolor(1, alpha.f=0.3))
 @
 
 \newpage
 
 
 
+<<echo=FALSE, results=hide, fig=TRUE, height=3, width=5, eval=TRUE >>=
+hist(nuc_by$diff, breaks=-1:50)
+@
 
 
 
@@ -1427,15 +1469,15 @@ $$\frac{\Sexpr{nb_ff_naga_common_wp_snep + nb_ff_naga_common_unr_snep}}{\Sexpr{n
 \begin{figure}
 \begin{center}
 \subfigure{
-<< nm_vs_dp_nucs, results=hide, fig=TRUE, height=5, width=16, echo=FALSE, eval=TRUE >>= 
+<< nm_vs_dp_nucs, results=hide, fig=TRUE, height=3, width=16, echo=FALSE, eval=TRUE >>= 
 noi = by_1n[by_1n$chr == 1 & by_1n$lower_bound>168500 & by_1n$upper_bound < 170500,]
 plot(0,0, col=0, xlim=c(168850, 170200), ylim=c(0,2), xlab="chr I", yaxt='n', ylab="")
 axis(side = 2, at = c(0.5, 1.5), labels = c("NM2.0", "Dampos2"))
 for (i in 1:nrow(noi)) {
   l = noi[i,]
-	draw.ellipse(0.5*(l$upper_bound + l$lower_bound), 0.5, 0.5*(l$upper_bound - l$lower_bound), 0.4, lwd=3, col=1)
-	draw.ellipse(0.5*(l$start + l$end), 1.5, 0.5*(l$start - l$end), 0.4, lwd=3, col=1)
-  abline(h=c(0.5, 1.5))
+	draw.ellipse(0.5*(l$upper_bound + l$lower_bound), 0.5, 0.5*(l$upper_bound - l$lower_bound), 0.4, lwd=3)
+	draw.ellipse(0.5*(l$start + l$end), 1.5, 0.5*(l$start - l$end), 0.4, lwd=3)
+  # abline(h=c(0.5, 1.5))
 }
 @
 }
diff --git a/doc/sphinx_doc/build/latex/NucleoMiner2.pdf b/doc/sphinx_doc/build/latex/NucleoMiner2.pdf
index cdc5437..30c1665 100644
Binary files a/doc/sphinx_doc/build/latex/NucleoMiner2.pdf and b/doc/sphinx_doc/build/latex/NucleoMiner2.pdf differ
diff --git a/doc/sphinx_doc/conf.py b/doc/sphinx_doc/conf.py
index 8ceb30e..40c341c 100644
--- a/doc/sphinx_doc/conf.py
+++ b/doc/sphinx_doc/conf.py
@@ -50,9 +50,9 @@ copyright = u'2012, Florent CHUFFART, Jean-Baptiste VEYRIERAS, Gael YVERT'
 # built documents.
 #
 # The short X.Y version.
-version = '2.3.51'
+version = '2.3.52'
 # The full version, including alpha/beta/rc tags.
-release = '2.3.51'
+release = '2.3.52'
 
 # The language for content autogenerated by Sphinx. Refer to documentation
 # for a list of supported languages.
diff --git a/doc/sphinx_doc/readme.rst b/doc/sphinx_doc/readme.rst
index 5b4659f..b9ff19a 100644
--- a/doc/sphinx_doc/readme.rst
+++ b/doc/sphinx_doc/readme.rst
@@ -61,7 +61,7 @@ The Yvert lab web page is accessible here:
 Installation
 ------------
 
-The first installation step is to retrieve the source code of MyLabStocks. You can do this by typing the following command in a terminal.
+The first installation step is to retrieve the source code of NucleoMiner2. You can do this by typing the following command in a terminal.
 
 .. code:: bash
 
@@ -86,11 +86,8 @@ It also requires the following R packages to be installed on your system:
  - seqinr
  - plotrix
  - DESeq
- - cachecache https://forge.cbp.ens-lyon.fr/redmine/projects/cachecache
- - bot https://forge.cbp.ens-lyon.fr/redmine/projects/bot
- - nucleominer https://forge.cbp.ens-lyon.fr/redmine/projects/nucleominer
  
-The first packages could be installed by typing the following command in an R console:
+These packages can be installed by typing the following command in an R console:
 
 .. code:: bash
 
@@ -98,7 +95,13 @@ The first packages could be installed by typing the following command in an R co
    source("http://bioconductor.org/biocLite.R")
    biocLite("DESeq")
  
-The last packages are available in the git repository they could be install by typing the following command in your terminal:
+Finally,by typing the git command above, you downloaded specific R packages provided with NucleoMiner2 that you now need to install:
+
+ - cachecache https://forge.cbp.ens-lyon.fr/redmine/projects/cachecache
+ - bot https://forge.cbp.ens-lyon.fr/redmine/projects/bot
+ - nucleominer https://forge.cbp.ens-lyon.fr/redmine/projects/nucleominer
+
+To do so, type the following command in your terminal:     
 
 .. code:: bash
 
diff --git a/doc/sphinx_doc/rref.rst b/doc/sphinx_doc/rref.rst
index 94844d2..e0f14f5 100644
--- a/doc/sphinx_doc/rref.rst
+++ b/doc/sphinx_doc/rref.rst
@@ -1256,7 +1256,7 @@ Details
 +---------------+---------------------------------------------------+
 | Author:       | Florent Chuffart                                  |
 +---------------+---------------------------------------------------+
-| Version:      | 2.3.51                                            |
+| Version:      | 2.3.52                                            |
 +---------------+---------------------------------------------------+
 | License:      | CeCILL                                            |
 +---------------+---------------------------------------------------+
diff --git a/doc/sphinx_doc/tuto.rst b/doc/sphinx_doc/tuto.rst
index a4ccb52..99dac92 100644
--- a/doc/sphinx_doc/tuto.rst
+++ b/doc/sphinx_doc/tuto.rst
@@ -1,9 +1,9 @@
 Tutorial
 ========
 
-This tutorial describes steps allowing performing quantitative analysis of epigenetic marks on individual nucleosomes. We assume that files are organised according to a given hierarchy and that all command lines are launched from the project’s root directory.
+This tutorial describes steps allowing to perform quantitative analysis of epigenetic marks on individual nucleosomes. We assume that files are organised according to a given hierarchy and that all command lines are launched from the project’s root directory.
 
-This tutorial is divided into two main parts. The first part covers the python script `wf.py` that aligns and converts short sequence reads. The second part covers the R scripts that extracts information (nucleosome position and indicators) from the dataset.
+This tutorial is divided into two main parts. The first part covers the python script `wf.py` that aligns and converts short sequence reads. The second part covers the R scripts that extracts nucleosome-level information (nucleosome position and indicators) from the dataset.
 
 
 
@@ -14,7 +14,7 @@ Experimental Dataset, Working Directory and Configuration File
 Working Directory Organisation
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-After having install NucleoMiner2 environment (Previous section), go to the root working directory of the tutorial by typing the following command in a terminal:
+After having installed NucleoMiner2 environment (Previous section), go to the root working directory of the tutorial by typing the following command in a terminal:
 
 .. code:: bash
 
@@ -29,7 +29,7 @@ The MNase-seq and MN-ChIP-seq raw data are available at ArrayExpress (http://www
 $$$ TODO explain how organise Experimental Dataset into the `data` directory of the working directory.
 
 
-We want to compare nucleosomes of 2 yeast strains: BY and RM. For each strain we performed Mnase-Seq and ChIP-Seq using an antibody recognizing the H3K14ac epigenetic mark.
+In this tutorial, we want to compare nucleosomes of 2 yeast strains: BY and RM. For each strain Mnase-Seq was performed as well as ChIP-Seq using an antibody recognizing the H3K14ac epigenetic mark. Illumina sequencing was done in single-read of 50 bp long.
 
 The dataset is composed of 55 files organised as follows: 
 
@@ -62,9 +62,9 @@ The dataset is composed of 55 files organised as follows:
 Python and R Common Configuration File
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-First of all we define in one place some configuration variables that will be launched by python and R scripts. These variables are contained in file `configurator.py`. The execution of this python script dumps variables into the `nucleominer_config.json` file that will then be used by both R and python scripts.
+First, we need to define useful configuration variables that will be passed to python and R scripts. These variables are contained in file `configurator.py`. The execution of this python script dumps variables into the `nucleominer_config.json` file that will then be used by both R and python scripts.
 
-To do this, go to the root directory of your project and run the following command:
+The initialization of this variables is done in the configurator.py file. If you need to adapt variable values (path, default parameters...) you need to edit this file. Then, go to the root directory of your project and run the following command to dump the configuration file:
 
 .. code:: bash
 
@@ -74,12 +74,18 @@ To do this, go to the root directory of your project and run the following comma
 
 
 
-
-
 Preprocessing Illumina Fastq Reads for Each Sample
 --------------------------------------------------
 
-This preprocessing step consists of 4 main steps embedded in the `wf.py` script. They are described bellow. As a preamble, this script computes `samples`, `samples_mnase` and `strains` that will be used along the 4 steps.
+Once variables and design have been specified, the script wf.py will automatically run all the analysis. You don't need to do anything. 
+To run the full analysis, run the following command:
+
+.. code:: bash
+
+  python src/current/wf.py
+
+The details of the steps performed by this script are explained below.
+This preprocessing consists of 4 steps embedded in the `wf.py` script. They are described bellow.  As a preamble, this script computes `samples`, `samples_mnase` and `strains` that will be used along the 4 steps.
 
 
 .. autodata:: wf.samples
@@ -95,14 +101,14 @@ This preprocessing step consists of 4 main steps embedded in the `wf.py` script.
 Creating Bowtie Index from each Reference Genome
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-For each strain, we need to create bowtie index. Bowtie index of a strain is a tree view of the genome of this strain. It will be used by bowtie to align reads. This step is performed by the following part of the `wf.py` script:
+For each strain, the script *wf.py* then creates bowtie index. Bowtie index of a strain is a tree view of the genome of this strain. It will be used by bowtie to align reads. The part of the script performing this is the following:
 
 .. literalinclude:: ../../../snep/src/current/wf.py
    :start-after: # _STARTOF_ step_1
    :end-before: # _ENDOF_ step_1
    :language: python
 
-The following table summarizes the file sizes and process durations concerning this step.
+As an indication, the following table summarizes the file sizes and process durations that we experienced when running this step on a Linux server***.
 
 ======  ======================  ======================  ================
 strain  fasta genome file size  bowtie index file size  process duration
@@ -117,8 +123,7 @@ RM      12 Mo                          24 Mo                    9 s.
 Aligning Reads to Reference Genome 
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-Next, we launch bowtie to align reads to the reference genome. It produces a 
-`.sam` file that we convert into a `.bed` file. Binaries for `bowtie`, `samtools` and `bedtools` are wrapped using python `subprocess` class. This step is performed by the following part of the `wf.py` script:
+Next, the *wf.py* script launches bowtie to align reads to the reference genome. It produces a `.sam` file that is converted into a `.bed` file. Binaries for `bowtie`, `samtools` and `bedtools` are wrapped using python `subprocess` class. This step is performed by the following part of the script:
 
 .. literalinclude:: ../../../snep/src/current/wf.py
    :start-after: # _STARTOF_ step_2
@@ -128,7 +133,7 @@ Next, we launch bowtie to align reads to the reference genome. It produces a
 Convert Aligned Reads into TemplateFilter Format
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-TemplateFilter uses particular input formats for reads, so it is necessary to convert the `.bed` files. TemplateFilter expect reads as follows: `chr`, `coord`, `strand` and `#read` where:
+TemplateFilter uses particular input formats for reads, so it is necessary to convert the `.bed` files. TemplateFilter expect reads in the following format: `chr`, `coord`, `strand` and `#read` where:
 
 - `chr` is the number of the chromosome;
 - `coord` is the coordinate of the reads;
@@ -137,16 +142,16 @@ TemplateFilter uses particular input formats for reads, so it is necessary to co
 
 Each entry is *tab*-separated.
 
-**WARNING** for reverse strands, bowtie returns the position of the first nucleotide on the left hand side, whereas TemplateFilter expects the first one on the right hand side.  This step takes this into account by adding the read length (in our case 50) to the reverse reads coordinates.
+**WARNING** for reverse strands, bowtie returns the position of the first nucleotide on the left hand side, whereas TemplateFilter expects the first one on the right hand side.  This is taken into account in NucleoMiner2 by adding the read length (in our case 50) to the reverse reads coordinates.
 
-This step is performed by the following part of the `wf.py` script:
+This step is performed by the following part of the *wf.py* script:
 
 .. literalinclude:: ../../../snep/src/current/wf.py
    :start-after: # _STARTOF_ step_3
    :end-before: # _ENDOF_ step_3
    :language: python
 
-The following table summarises the number of reads, the involved file sizes and process durations concerning the two last steps. In our case, alignment process have been multithreaded over 3 cores.
+The following table summarizes the number of reads, the involved file sizes and process durations that we experienced when running the two last steps. In our case, alignment process were multithreaded over 3 cores.
 
 ==  ==============  =========================  ======  ================  ==================  ================  
 id  Illumina reads  aligned and filtred reads  ratio   `.bed` file size  TF input file size  process duration
@@ -170,10 +175,10 @@ Run TemplateFilter on Mnase Samples
 Finally, for each sample we perform TemplateFilter analysis. 
 
 **WARNING** TemplateFilter returns a list of nucleosomes. Each nucleosome is 
-define by its center and its width. An odd width leads us to consider non-
+defined by its center and its width. An odd width leads us to consider non-
 integer lower and upper bound.
 
-**WARNING** TemplateFilter is not designed to deal with replicates. So we recommend to keep a maximum of nucleosomes and filter the aberrant ones afterwards using the benefits of having replicates. To do this, we set a low correlation threshold parameter (0.5) and a particularly high value of overlap (300%).
+**WARNING** TemplateFilter was not designed to handle replicates. So we recommend to keep a maximum of nucleosomes and filter the aberrant ones afterwards using the benefits of having replicates. To do this, we set a low correlation threshold parameter (0.5) and a particularly high value of overlap (300%).
 
 This step is performed by the following part of the `wf.py` script:
 
@@ -367,7 +372,7 @@ Inferring Nucleosome Position and Extracting Read Counts
 
 
 
-The second part of the tutorial uses R (http://http://www.r-project.org). It consists of a set of R scripts that will be sourced in an R from a console launched at the root of your project. These scripts are:
+The second part of the tutorial uses R (http://http://www.r-project.org). NucleoMiner2 contains a set of R scripts that will be sourced in R from a console launched at the root of your project. These scripts are:
 
   - headers.R
   - extract_maps.R
@@ -380,22 +385,19 @@ The second part of the tutorial uses R (http://http://www.r-project.org). It con
 The Script headers.R
 ^^^^^^^^^^^^^^^^^^^^
 
-The script headers.R is included in each other scripts. It is in charge of: 
+The script headers.R is included in all other R scripts. It is in charge of: 
 
   - launching libraries used in the scripts
   - launching configuration (design, strain, marker...)
-  - computing and caching CURs (caching means storing the information in the computer's memory)
-
-Note that you can customize the function “translate”. This function allows you to use the alignments between genomes when performing various tasks. You may be using NucleoMiner2 to analyse data of a single strain, or of several strains. 
-
-  - All the data corresponds to the same strain (e.g. treatment/control, or only few mutations): Then in step 1), the  regions to use are entire chromosomes. Instep 2) simply use the default translate function which is neutral.
+  - computing and caching Common Uinterrupted Regions (CURs). Caching means storing the information in the computer's memory.
 
-  - The data come from two or more strains: In this case, edit a list of regions and customize the translate function which performs the correspondence between the different genomes. How we did it: a .c2c file is obtained with NucleoMiner 1.0 (refer to the Appendice "Generate .c2c Files"), then use it to produce the list of regions and customise “translate”.
+Note that you can customize the function “translate”. This function allows you to use the alignments between genomes when performing various tasks. 
 
+  -  You may want to analyze data of a single strain (e.g. treatment/control, or only few mutations). In this case, the genome is identical across all samples and you do not need to define particular CURs (CURs are chromosomes). Simply use the default translate function which is neutral.
 
+  - If you are analyzing data from two or more strains (as NucleoMiner2 was designed for), then you need to translate coordinates of one genome into the coordinates of another one. You must do this by aligning the two genomes, which will produce a .c2c file (see Appendice "Generate .c2c Files").  thenuse it to produce the list of regions and customise “translate”.
 
-
-In your R console, run the following command line:
+In our tutorial, we are in the second case and to perform all these steps run the following command line in your R console:
 
 .. code:: bash
 
@@ -404,9 +406,9 @@ In your R console, run the following command line:
 
 The Script extract_maps.R
 ^^^^^^^^^^^^^^^^^^^^^^^^^
-This script is in charge of extracting Maps for well-positioned and fuzzy nucleosomes. First of all, this script computes intra and inter-strain nucleosome maps for each CUR. This step is executed in parallel on many cores using the BoT library. Next, it collects results and produces well-positioned, fuzzy and UNR maps.
+This script is in charge of extracting Maps for well-positioned and sensitive nucleosomes. First of all, this script computes intra and inter-strain matches of nucleosome maps for each CUR. This step can be executed in parallel on many cores using the BoT library. Next, it collects results and produces maps of  well-positioned nucleosomes, sensitive nucleosomes and Unaligned Nucleosomal Regions .
 
-The well-positioned map for BY is collected in the result directory and is called `BY_wp.tab`. It is composed of following columns:
+The map of well-positioned nucleosomes for BY is collected in the result directory and is called `BY_wp.tab`. It is composed of following columns:
 
  - chr, the number of the chromosome 
  - lower_bound, the lower bound of the nucleosome
@@ -419,10 +421,10 @@ The well-positioned map for BY is collected in the result directory and is calle
  - llr_1, for a well-positioned nucleosome, it is the LLR1 (log-likelihood ratio) between the first and the second TemplateFilter nucleosome on the chain.
  - llr_2, for a well-positioned nucleosome, it is the LLR1 between the second and the third TemplateFilter nucleosome on the chain.
  - wp_llr, for a well-positioned nucleosome, it is the LLR2 that compares consistency of the positioning over all TemplateFilter nucleosomes.
- - wp_pval, for a well-positioned nucleosome, it is the p-value chi square test obtained with the LLR2 (`1-pchisq(2.LLR2, df=4)`)
+ - wp_pval, for a well-positioned nucleosome, it is the p-value chi square test obtained from LLR2 (`1-pchisq(2.LLR2, df=4)`)
  - dyad_shift, for a well-positioned nucleosome, it is the shift between the two extreme TemplateFilter nucleosome dyad positions. 
 
-The fuzzy map for BY is collected in the result directory and is called `BY_fuzzy.tab`. It is composed of following columns:
+The sensitive map for BY is collected in the result directory and is called `BY_fuzzy.tab`. It is composed of following columns:
 
  - chr, the number of the chromosome 
  - lower_bound, the lower bound of the nucleosome
@@ -436,7 +438,7 @@ The map of common well-positioned nucleosomes aligned between the BY and RM stra
  - index_nuc_RM, the index of the RM nucleosome in the CUR
  - llr_score, , the LLR3 score that estimates conservation between the positions in BY and RM 
  - common_wp_pval,  the p-value chi square test obtained from LLR3 (`1-pchisq(2.LLR3, df=2)`)
- - diff, the dyads shift between the positions in the two strains
+ - diff, the dyads shift between the positions in the two strains (in bp)
 
 The common UNR map for BY and RM strains is collected in the result directory and is called `BY_RM_common_unr.tab`. It is composed of the following columns:
 
@@ -454,9 +456,9 @@ To execute this script, run the following command in your R console:
 The Script translate_common_wp.R
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-This script is used to translate common well-positioned nucleosome maps from a strain to another strain and stores it into a table. 
+This script is used to translate common well-positioned nucleosome positions from a strain to another strain and stores it into a table. 
 
-For example, the file `results/2014-04/RM_wp_tr_2_BY.tab` contains RM well-positioned nucleosome translated into the BY genome coordinates. It is composed of following columns:
+For example, the file `results/2014-04/RM_wp_tr_2_BY.tab` contains RM well-positioned nucleosomes translated into the BY genome coordinates. It is composed of following columns:
 
  - strain_ref, the reference genome (in which positioned are defined)
  - begin, the translated lower bound of the nucleosome
@@ -476,7 +478,7 @@ To execute this script, run the following command in your R console:
 The Script split_samples.R
 ^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-For memory space usage reasons, we split and compress TemplateFilter input files according to their corresponding  chromosome. for example, `sample_1_TF.tab` will be split into :
+To optimize memory space usage, we split and compress TemplateFilter input files according to their corresponding  chromosome. for example, `sample_1_TF.tab` will be split into :
 
   - sample_1_chr_1_splited_sample.tab.gz
   - sample_1_chr_2_splited_sample.tab.gz
@@ -547,9 +549,9 @@ sample_id      wp     unr   wpunr
 
 sample_id are given in file samples.csv
 
-If you don't know which column to use, we recommend using wpunr.
+If you don't know which column to use for normalization, we recommend using wpunr.
 
-If you want the very detailed factors produced by DESeq, here are the information:
+Here are the details of the factors produced:
 
   - unr: factor computed from data of UNR regions. These regions are defined for every pairs of aligned genomes (e.g. BY_RM)
   - wp: same, but for well-positioned nucleosomes.
@@ -604,9 +606,8 @@ Next columns concern indicators for each sample:
 The 5 last columns concern DESeq analysis:
 
   - manip[a_manip] strain[a_strain] manip[a_strain]:strain[a_strain], the manip (marker) effect, the strain effect and the snep effect. These are the coefficients of the fitted generalized linear model.
-  - pvalsGLM, the pvalue resulting of the comparison of the GLM model considering or not the interaction term marker:strain. This is the statsitcial significance of the interaction term and therefore the statistical significance of the SNEP.
+  - pvalsGLM, the pvalue resulting from the comparison of the GLM model considering the interaction term *marker:strain* to the GLM model that does not consider it. This is the statsitcial significance of the interaction term and therefore the statistical significance of the SNEP.
   - snep_index, a boolean set to TRUE if the pvalueGLM value is under the threshold computed with FDR function with a rate set to 0.0001.
-To execute this script, run the following command 
 
 To execute this script, run the following command in your R console:
 
@@ -636,19 +637,19 @@ wpunr   BY-RM 39961    5240
 APPENDICE: Generate .c2c Files
 ------------------------------
 
+The `.c2c` files is a simple table that describes how two genome
+sequences are aligned. This file can be generated by using scripts that were developed in NucleoMiner 1.0 (Nagarajan et al. PLoS Genetics 2010) and which we provide in this release of NucleoMiner2.
 
-The `.c2c` files is a simple table that describes how the genome sequence can be aligned. We generate it using some NucleoMiner 1.0 scripts.
 
-To use NucleoMiner 1.0 scripts on your UNIX/LINUX computer you need first to install MUMmer which is a system for rapidly aligning entire genomes, whether in complete or draft form.
+To use these scripts on your UNIX/LINUX computer you need first to install MUMmer which is designed to rapidly align entire genomes, whether in complete or draft form.
 
-Installing the MUMmer library
-^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
+Installing MUMmer
+^^^^^^^^^^^^^^^^^
 
-Get the last version of MUMmer archive on your computer (MUMmer3.23.tar.gz distributed in the directory deps of your working directory). Copy it in a dedicated directory. Install it locally into the src folder of you working directory by typing (working directory):
+Get the last version of MUMmer archive on your computer (MUMmer3.23.tar.gz is provided in the directory deps of your working directory). Copy it in a dedicated directory. Install it locally into the src folder of you working directory by typing (working directory):
 
-tar -xvzf gdl-1.0.tar.gz
+tar -xvzf MUMmer3.23.tar.gz
 
-This creates a directory called gdl-1.0. You now need to go into this directory and compile the library, by typing:
 
 .. code:: bash
 
@@ -661,7 +662,7 @@ This creates a directory called gdl-1.0. You now need to go into this directory
 Installing NucleoMiner 1.0 scripts
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
 
-Get the nucleominer-1.0.tar.gz archive on your computer (distributed in the directory deps of your working directory). Install it locally into the src folder of you working directory by typing (working directory):
+Get the nucleominer-1.0.tar.gz archive on your computer (this archive is provided in the directory deps of your working directory). Install it locally into the src folder of you working directory by typing (working directory):
 
 
 .. code:: bash
@@ -670,7 +671,7 @@ Get the nucleominer-1.0.tar.gz archive on your computer (distributed in the dire
   tar xfvz ../deps/nucleominer-1.0.tar.gz 
   cd ..
 
-This creates a directory called that contains  NucleoMiner 1.0 scripts (src/nucleominer-1.0/scripts). 
+This creates a directory that contains  NucleoMiner 1.0 scripts (src/nucleominer-1.0/scripts). 
 
 
 Generate .c2c Files
diff --git a/src/DESCRIPTION b/src/DESCRIPTION
index d9ea4a4..cd1c45b 100644
--- a/src/DESCRIPTION
+++ b/src/DESCRIPTION
@@ -1,7 +1,7 @@
 Package: nucleominer
 Maintainer: Florent Chuffart <florent.chuffart@ens-lyon.fr>
 Author: Florent Chuffart
-Version: 2.3.51
+Version: 2.3.52
 License: CeCILL 
 Title: nm
 Depends: seqinr, plotrix, DESeq, cachecache, dplyr
